PulseAudio 11.1

Macros | Functions
version.h File Reference

Define header version. More...

Go to the source code of this file.

## Macros
#define | pa_get_headers_version() ("11.1.0")
| Return the version of the header files. More...
#define | PA_API_VERSION 12
| The current API version. More...
#define | PA_PROTOCOL_VERSION 32
| The current protocol version. More...
#define | PA_MAJOR 11
| The major version of PA. More...
#define | PA_MINOR 1
| The minor version of PA. More...
#define | PA_MICRO 0
| The micro version of PA (will always be 0 from v1.0 onwards). More...
#define | PA_CHECK_VERSION(major, minor, micro)
| Evaluates to TRUE if the PulseAudio library version is equal or newer than the specified. More...

## Functions
const char * | pa_get_library_version (void)
| Return the version of the library the current application is linked to. More...

## Detailed Description

Define header version.

## Macro Definition Documentation

## ◆ PA_API_VERSION

#define PA_API_VERSION 12

The current API version.

Version 6 relates to Polypaudio 0.6. Prior versions (i.e. Polypaudio 0.5.1 and older) have PA_API_VERSION undefined. Please note that this is only ever increased on incompatible API changes!

## ◆ PA_CHECK_VERSION

#define PA_CHECK_VERSION | ( |  | major,
|  |  | minor,
|  |  | micro
| ) |  |

Value:
((PA_MAJOR > (major)) || \
(PA_MAJOR == (major) && PA_MINOR > (minor)) || \
(PA_MAJOR == (major) && PA_MINOR == (minor) && PA_MICRO >= (micro)))
PA_MICRO
#define PA_MICRO
The micro version of PA (will always be 0 from v1.0 onwards).
Definition: version.h:59
PA_MINOR
#define PA_MINOR
The minor version of PA.
Definition: version.h:56
PA_MAJOR
#define PA_MAJOR
The major version of PA.
Definition: version.h:53

Evaluates to TRUE if the PulseAudio library version is equal or newer than the specified.

Since
  0.9.16

## ◆ pa_get_headers_version

#define pa_get_headers_version | ( |  | ) | ("11.1.0")

Return the version of the header files.

Keep in mind that this is a macro and not a function, so it is impossible to get the pointer of it.

## ◆ PA_MAJOR

#define PA_MAJOR 11

The major version of PA.

Since
  0.9.15

## ◆ PA_MICRO

#define PA_MICRO 0

The micro version of PA (will always be 0 from v1.0 onwards).

Since
  0.9.15

## ◆ PA_MINOR

#define PA_MINOR 1

The minor version of PA.

Since
  0.9.15

## ◆ PA_PROTOCOL_VERSION

#define PA_PROTOCOL_VERSION 32

The current protocol version.

Version 8 relates to Polypaudio 0.8/PulseAudio 0.9.

## Function Documentation

## ◆ pa_get_library_version()

const char* pa_get_library_version | ( | void |  | ) |

Return the version of the library the current application is linked to.